get_font_range_begin(3)

NAME
get_font_range_begin - Returns the start of a character range in a font. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int get_font_range_begin(FONT *f, int range)

DESCRIPTION
This function allows you to find out the start of a specific character range for a font. You can pass -1 for the `range' parameter if you want to know the start of the whole font range, or a number from 0 to (but not including) get_font_ranges(f) to get the start of a specific character range in the font. Example:
   printf("The font has a character range of %d - %d\n",
          get_font_range_begin(font, -1),
          get_font_range_end(font, -1));

RETURN VALUE
Returns the first character in the font range, or -1 if that information is not available.

SEE ALSO
get_font_ranges(3), get_font_range_end(3), transpose_font(3)